Create Professional Claim
Creates a professional claim from a CMS 1500 file. This schema is an augmentation of the Healthie CMS 1500 schema to support the full CMS-1500 claim format.
curl --request POST \
--url https://forecaster.cairhealth.com/api/claim/professional/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accept_assignment": true,
"id": "12345",
"date_of_service": "2025-03-15",
"total_charge": "250.00",
"patient": {
"id": "P98765",
"first_name": "John",
"last_name": "Doe",
"name": "John Doe",
"gender": "male",
"dob": "1980-05-15",
"location": {
"city": "San Francisco",
"country": "USA",
"line1": "123 Main St",
"line2": "Apt 4B",
"state": "CA",
"zip": "94105"
},
"policies": [
{
"id": "POL123",
"group_num": "GRP456",
"name": "Premium Health Plan",
"holder_first": "John",
"holder_last": "Doe",
"holder_relationship": "self",
"claim_filing_indicator": "CI",
"priority_type": "primary",
"insurance_plan": {
"payer_name": "Blue Cross",
"payer_id": "BCBS123",
"name_and_id": "Blue Cross (BCBS123)"
}
}
]
},
"billing_provider": {
"name": "Medical Group Inc",
"npi": "1234567890",
"tax_id": "12-3456789",
"taxonomy_code": "207Q00000X",
"location": {
"city": "San Francisco",
"country": "USA",
"line1": "456 Health Ave",
"state": "CA",
"zip": "94107"
}
},
"rendering_provider": {
"id": "DR12345",
"first_name": "Jane",
"last_name": "Smith",
"npi": "5432167890",
"taxonomy_code": "207Q00000X",
"name": "Jane Smith, MD"
},
"referring_provider": {
"first_name": "Robert",
"last_name": "Johnson",
"npi": "1111222233",
"name": "Robert Johnson, MD"
},
"ordering_provider": {
"first_name": "Emily",
"last_name": "Chen",
"npi": "4444555566",
"taxonomy_code": "207Q00000X",
"name": "Emily Chen, MD"
},
"service_location": {
"city": "San Francisco",
"state": "CA",
"zip": "94107",
"name": "Medical Group Inc",
"place_of_service": {
"code": "11",
"name": "Office",
"code_name": "11 - Office"
}
},
"cpt_codes_cms1500s": [
{
"cpt_code": {
"code": "99213"
},
"fee": "150.00",
"units": "1"
},
{
"cpt_code": {
"code": "85025"
},
"fee": "100.00",
"units": "1",
"ndc_information": {
"ndc_code": "00071015527",
"ndc_quantity": "2",
"ndc_quantity_unit": "ML"
}
}
],
"icd_codes_cms1500s": [
{
"icd_code": {
"code": "J20.9"
}
},
{
"icd_code": {
"code": "R50.9"
}
}
],
"claim_condition_codes": [
{
"code": "01"
}
],
"claim_additional_information": [
{
"code": "A1",
"text": "Additional information"
}
],
"injury_cause_reasons": {
"employment_related": false,
"auto_accident": false,
"other": false
},
"patient_paid_amount": 50,
"clia_number": "12D3456789"
}
'import requests
url = "https://forecaster.cairhealth.com/api/claim/professional/v1"
payload = {
"accept_assignment": True,
"id": "12345",
"date_of_service": "2025-03-15",
"total_charge": "250.00",
"patient": {
"id": "P98765",
"first_name": "John",
"last_name": "Doe",
"name": "John Doe",
"gender": "male",
"dob": "1980-05-15",
"location": {
"city": "San Francisco",
"country": "USA",
"line1": "123 Main St",
"line2": "Apt 4B",
"state": "CA",
"zip": "94105"
},
"policies": [
{
"id": "POL123",
"group_num": "GRP456",
"name": "Premium Health Plan",
"holder_first": "John",
"holder_last": "Doe",
"holder_relationship": "self",
"claim_filing_indicator": "CI",
"priority_type": "primary",
"insurance_plan": {
"payer_name": "Blue Cross",
"payer_id": "BCBS123",
"name_and_id": "Blue Cross (BCBS123)"
}
}
]
},
"billing_provider": {
"name": "Medical Group Inc",
"npi": "1234567890",
"tax_id": "12-3456789",
"taxonomy_code": "207Q00000X",
"location": {
"city": "San Francisco",
"country": "USA",
"line1": "456 Health Ave",
"state": "CA",
"zip": "94107"
}
},
"rendering_provider": {
"id": "DR12345",
"first_name": "Jane",
"last_name": "Smith",
"npi": "5432167890",
"taxonomy_code": "207Q00000X",
"name": "Jane Smith, MD"
},
"referring_provider": {
"first_name": "Robert",
"last_name": "Johnson",
"npi": "1111222233",
"name": "Robert Johnson, MD"
},
"ordering_provider": {
"first_name": "Emily",
"last_name": "Chen",
"npi": "4444555566",
"taxonomy_code": "207Q00000X",
"name": "Emily Chen, MD"
},
"service_location": {
"city": "San Francisco",
"state": "CA",
"zip": "94107",
"name": "Medical Group Inc",
"place_of_service": {
"code": "11",
"name": "Office",
"code_name": "11 - Office"
}
},
"cpt_codes_cms1500s": [
{
"cpt_code": { "code": "99213" },
"fee": "150.00",
"units": "1"
},
{
"cpt_code": { "code": "85025" },
"fee": "100.00",
"units": "1",
"ndc_information": {
"ndc_code": "00071015527",
"ndc_quantity": "2",
"ndc_quantity_unit": "ML"
}
}
],
"icd_codes_cms1500s": [{ "icd_code": { "code": "J20.9" } }, { "icd_code": { "code": "R50.9" } }],
"claim_condition_codes": [{ "code": "01" }],
"claim_additional_information": [
{
"code": "A1",
"text": "Additional information"
}
],
"injury_cause_reasons": {
"employment_related": False,
"auto_accident": False,
"other": False
},
"patient_paid_amount": 50,
"clia_number": "12D3456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accept_assignment: true,
id: '12345',
date_of_service: '2025-03-15',
total_charge: '250.00',
patient: {
id: 'P98765',
first_name: 'John',
last_name: 'Doe',
name: 'John Doe',
gender: 'male',
dob: '1980-05-15',
location: {
city: 'San Francisco',
country: 'USA',
line1: '123 Main St',
line2: 'Apt 4B',
state: 'CA',
zip: '94105'
},
policies: [
{
id: 'POL123',
group_num: 'GRP456',
name: 'Premium Health Plan',
holder_first: 'John',
holder_last: 'Doe',
holder_relationship: 'self',
claim_filing_indicator: 'CI',
priority_type: 'primary',
insurance_plan: {
payer_name: 'Blue Cross',
payer_id: 'BCBS123',
name_and_id: 'Blue Cross (BCBS123)'
}
}
]
},
billing_provider: {
name: 'Medical Group Inc',
npi: '1234567890',
tax_id: '12-3456789',
taxonomy_code: '207Q00000X',
location: {
city: 'San Francisco',
country: 'USA',
line1: '456 Health Ave',
state: 'CA',
zip: '94107'
}
},
rendering_provider: {
id: 'DR12345',
first_name: 'Jane',
last_name: 'Smith',
npi: '5432167890',
taxonomy_code: '207Q00000X',
name: 'Jane Smith, MD'
},
referring_provider: {
first_name: 'Robert',
last_name: 'Johnson',
npi: '1111222233',
name: 'Robert Johnson, MD'
},
ordering_provider: {
first_name: 'Emily',
last_name: 'Chen',
npi: '4444555566',
taxonomy_code: '207Q00000X',
name: 'Emily Chen, MD'
},
service_location: {
city: 'San Francisco',
state: 'CA',
zip: '94107',
name: 'Medical Group Inc',
place_of_service: {code: '11', name: 'Office', code_name: '11 - Office'}
},
cpt_codes_cms1500s: [
{cpt_code: {code: '99213'}, fee: '150.00', units: '1'},
{
cpt_code: {code: '85025'},
fee: '100.00',
units: '1',
ndc_information: {ndc_code: '00071015527', ndc_quantity: '2', ndc_quantity_unit: 'ML'}
}
],
icd_codes_cms1500s: [{icd_code: {code: 'J20.9'}}, {icd_code: {code: 'R50.9'}}],
claim_condition_codes: [{code: '01'}],
claim_additional_information: [{code: 'A1', text: 'Additional information'}],
injury_cause_reasons: {employment_related: false, auto_accident: false, other: false},
patient_paid_amount: 50,
clia_number: '12D3456789'
})
};
fetch('https://forecaster.cairhealth.com/api/claim/professional/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "information",
"code": "informational",
"details": {
"text": "All OK"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "invalid",
"expression": [
"Cms1500.total_charge"
],
"details": {
"text": "Expected string, received number"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "security",
"details": {
"text": "Unauthorized access or invalid organization ID"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional ID of document references to associate with the claim. Can be specified multiple times. This id will be returned from the Create Claim Attachment endpoint.
Optional primary PCN to associate with the claim. You should ONLY use this in cases of submitting a secondary or tertiary claim, or in some specific denial resubmission scenarios.
Body
CMS 1500 professional claim data
Whether the provider agrees to accept assignment
Unique identifier for the CMS 1500 form
Date when the service was provided
Total charge amount for the claim
Information about the patient
Show child attributes
Show child attributes
Information about the billing provider
Show child attributes
Show child attributes
Information about the rendering provider
Show child attributes
Show child attributes
CPT codes associated with the claim
Show child attributes
Show child attributes
ICD diagnosis codes associated with the claim
Show child attributes
Show child attributes
Information about the referring provider.
Show child attributes
Show child attributes
Information about the ordering provider.
Show child attributes
Show child attributes
Location of the service
Show child attributes
Show child attributes
Claim condition codes
Show child attributes
Show child attributes
Additional information codes for the claim
Show child attributes
Show child attributes
Information about injury cause and reasons. If all are false, omit this field.
Show child attributes
Show child attributes
Amount paid by the patient
Clinical Laboratory Improvement Amendment (CLIA) number for CLIA-certified facilities performing CLIA-covered laboratory services.

